Rated 5/5 based on 240179 internet user reviews

Đến nội dung


Hình ảnh
- - - - -

Lệnh che đối tượng khác khi nó đè lên????


  • Please log in to reply
14 replies to this topic

#1 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 27 July 2009 - 02:39 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks
  • 0

#2 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 27 July 2009 - 04:47 PM

oài oài !!! Đợi mỏi mắt mà ko thấy pro nào chỉ giúp nhỉ ? hjx hjx
  • 0

#3 miennui_tomo3d

miennui_tomo3d

    biết dimcenter

  • CADViet Team
  • PipPipPipPipPip
  • 320 Bài viết
Điểm đánh giá: 112 (tàm tạm)

Đã gửi 27 July 2009 - 05:25 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks

Bạn không dùng wipeout thì không còn cái nào dùng đâu .
Muốn che cái ở dưới thì cái ở trên nó phải là một vùng kín , khi in ra nó vẫn là một nét vẽ . chỉ lệnh wipeout làm được điều đó thôi ah .
bạn vào tool > draw oder > send to back or send to front .
Cái này cũng làm nó lên trên hay xuống dưới theo lớp đó .
hì . good luck
  • 1
Sống Trên Đời Cần Phải Có Một Tấm Lòng Dù Để ......... Tối Nấu Ăn !

#4 gp14

gp14

    DO TUAN GIAP

  • Moderator
  • PipPipPipPipPipPipPip
  • 1860 Bài viết
Điểm đánh giá: 1114 (rất tốt)

Đã gửi 27 July 2009 - 05:40 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò :s_dead: .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks

Còn 1 cách này mình hay làm với các block thiết bị nội thất và WC để che đi các đối tượng phía dưới thay cho đối tượng wipeout là dùng hatch solid và để màu kiểu true color.
Xem file này bạn sẽ hiểu vấn đề.
http://www.cadviet.c...N_VE_MAU_01.dwg
  • 1

#5 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 27 July 2009 - 05:41 PM

Bạn không dùng wipeout thì không còn cái nào dùng đâu .
Muốn che cái ở dưới thì cái ở trên nó phải là một vùng kín , khi in ra nó vẫn là một nét vẽ . chỉ lệnh wipeout làm được điều đó thôi ah .
bạn vào tool > draw oder > send to back or send to front .
Cái này cũng làm nó lên trên hay xuống dưới theo lớp đó .
hì . good luck

Cả 2 cái đó e biết rồi !! E nghĩ phải có cách hay hơn chứ ?? Bgio mà muốn che nhiều đối tưọgn, ngồi Wipeout chắc hết ngày quá !!! :s_dead:
Cách of Pac' GP 14 ý, thì chính là bring to front. Ví dụ e muốn làm thế này nhé ! E có mặt đứng kiến trủôìi. Bgio e chèn thêm cái cửa phía trên mặt đứng nữa nếu ngồi trim các đối tượng mà cái cửa đè lến - chắc cũng hết tuần. dùng Wipeout thì cũng mất tg ko kém. Ý e là vậy đó. Thanks các pác đã quan tâm
  • 0

#6 Thaistreetz

Thaistreetz

    biết lệnh adcenter

  • Advance Member
  • PipPipPipPipPipPipPip
  • 901 Bài viết
Điểm đánh giá: 500 (tốt)

Đã gửi 27 July 2009 - 06:10 PM

Cả 2 cái đó e biết rồi !! E nghĩ phải có cách hay hơn chứ ?? Bgio mà muốn che nhiều đối tưọgn, ngồi Wipeout chắc hết ngày quá !!! :s_dead:
Cách of Pac' GP 14 ý, thì chính là bring to front. Ví dụ e muốn làm thế này nhé ! E có mặt đứng kiến trủôìi. Bgio e chèn thêm cái cửa phía trên mặt đứng nữa nếu ngồi trim các đối tượng mà cái cửa đè lến - chắc cũng hết tuần. dùng Wipeout thì cũng mất tg ko kém. Ý e là vậy đó. Thanks các pác đã quan tâm


Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm gì mà hết những "1 tuần" :s_dead:
Lệnh Wipeout cũng đâu có chậm nhỉ. gõ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong
  • 0

Hình đã gửi
IN HIM, I TRUST. THE TRUST IN MY GOD


#7 Phidoi_gabay

Phidoi_gabay

    biết vẽ rectang

  • Members
  • PipPip
  • 89 Bài viết
Điểm đánh giá: 14 (tàm tạm)

Đã gửi 28 July 2009 - 03:09 PM

Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm gì mà hết những "1 tuần" :s_dead:
Lệnh Wipeout cũng đâu có chậm nhỉ. gõ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong


Thanks các bạn đã trả lời. Đó là giải pháp , nhưng chưa tối ưu bạn ạ ! Thứ nhất, mất tg cho việc cắt Trim or Extrim. Thứ 2 : Vì cái mặt đứng đó còn dùng cho cái khác nữa. Nếu cắt đi biết sao đây. Đương nhiên có thể coppy ra nhiều bản khác. Vì mình nghe giang hồ đồn rằng có lệnh chỉ tích vào chọn đối tưọng sẽ cho phép che những đối tượng khác. Rất tiếc bạn đó ko nhớ, ko biết là lisp hay lệnh cad. Dù sao cũng cảm ơn cả nhà đã comment. Thanks all !
  • 0

#8 ktsk80

ktsk80

    biết lệnh erase

  • Members
  • PipPipPip
  • 107 Bài viết
Điểm đánh giá: 26 (tàm tạm)

Đã gửi 28 July 2009 - 04:29 PM

Đây đâu phải chỗ để che đậy đối tượng gì đâu, bạn phải vào chuyên mục khác chứ, chán !
  • 0
Tớ nẫu đây ! Khà khà

#9 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4242 Bài viết
Điểm đánh giá: 3733 (đỉnh cao)

Đã gửi 28 July 2009 - 08:13 PM

Thanks các bạn đã trả lời. Đó là giải pháp , nhưng chưa tối ưu bạn ạ ! Thứ nhất, mất tg cho việc cắt Trim or Extrim. Thứ 2 : Vì cái mặt đứng đó còn dùng cho cái khác nữa. Nếu cắt đi biết sao đây. Đương nhiên có thể coppy ra nhiều bản khác. Vì mình nghe giang hồ đồn rằng có lệnh chỉ tích vào chọn đối tưọng sẽ cho phép che những đối tượng khác. Rất tiếc bạn đó ko nhớ, ko biết là lisp hay lệnh cad. Dù sao cũng cảm ơn cả nhà đã comment. Thanks all !

Dùng thử thêm lệnh EXtrim đi. mà bạn trim mấy đối tượng như thế làm gì mà hết những "1 tuần" :s_dead:
Lệnh Wipeout cũng đâu có chậm nhỉ. gõ lệnh, enter 2 lần, chọn khung cửa của bạn, ok. xong

Chào 'Phidoi_gabay'
1. Đầu tiên Tue_NV khuyên bạn nên post bài đúng chủ đề.
2. Lisp này sẽ giải quyết yêu cầu của bạn
- Chọn các đối tượng Pline kín -> Lisp sẽ thực hiện công việc là các đối tượng kín Pline sẽ che các đối tượng khác
Thử xem.
(defun c:che()
(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)
(while (< i (sslength ss))

(setq e (ssname ss i))
(command "pedit" "m" e "" "c" "")
(Command "wipeout" "" e "y")
(setq i (1+ i))
)
(princ)
)

  • 0

#10 friendship293a

friendship293a

    biết lệnh erase

  • Members
  • PipPipPip
  • 102 Bài viết
Điểm đánh giá: -9 (bình thường)

Đã gửi 15 April 2010 - 01:49 PM

Chào 'Phidoi_gabay'
1. Đầu tiên Tue_NV khuyên bạn nên post bài đúng chủ đề.
2. Lisp này sẽ giải quyết yêu cầu của bạn
- Chọn các đối tượng Pline kín -> Lisp sẽ thực hiện công việc là các đối tượng kín Pline sẽ che các đối tượng khác
Thử xem.
(defun c:che()
(setq ss (ssget '((0 . "LWPOLYLINE"))) i 0)
(while (< i (sslength ss))

(setq e (ssname ss i))
(command "pedit" "m" e "" "c" "")
(Command "wipeout" "" e "y")
(setq i (1+ i))
)
(princ)
)

Bạn Tue_NV ơi với đường tròn thì sao? không phải LWPLYLINE nó không nhận.
  • 0

#11 w1nDream

w1nDream

    biết lệnh ddedit

  • Members
  • PipPipPipPip
  • 293 Bài viết
Điểm đánh giá: 73 (tàm tạm)

Đã gửi 15 April 2010 - 02:57 PM

Bạn Tue_NV ơi với đường tròn thì sao? không phải LWPLYLINE nó không nhận.


Muốn làm được với đường tròn bạn hãy vẽ Polygon n cạnh(Bản chất của đường tròn là đa giác n cạnh mà).
:undecided:
  • 0
__Tâm tựa lưu thủY__
Vi nhân nan

#12 thaycung

thaycung

    biết pan

  • Members
  • Pip
  • 8 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 18 May 2012 - 07:36 PM

Hi all !
E làm kết cấu nên cũng ít dùng cái lệnh Wipeout. Nhưng e thấynếu muốn che đưọc nhiều đối tưọng thì cũng phải ngồi vẽ cái wipeout nhiều, hjx cũng mệt ra trò Hình đã gửi .Có bác nào có cách làm sao chỉ cần chọn đối tượng hiện lên trên là đc ? nghĩa là mình ko phải trim những đối tượng mà hình nó đi qua . Các bác giúp e vụ này với. Thanks


Tô i có câu hỏi gần giống bạn và có sưu tầm được một file nhưng không hiểu người ta đã làm được bằng cách nào, nhờ mọi người chỉ dùm. Trong file các đối tượng nằm bên dưới (phần hiện trạng) đã được che đi mà không phải trim chặt gì cả.
http://www.cadviet.c...830_matbang.rar
  • 0

#13 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5048 Bài viết
Điểm đánh giá: 2439 (tuyệt vời)

Đã gửi 18 May 2012 - 11:37 PM

Tại người ta đã dùng lệnh wipeout cho pline đó. Bạn xem trên bản vẽ sẽ thấy 1 pline và 1 wipeout trùng lên nhau. thử xoá chúng đi sẽ thấy ngay.
  • 0

#14 duonghung1210

duonghung1210

    biết lệnh offset

  • Members
  • PipPipPip
  • 175 Bài viết
Điểm đánh giá: 60 (tàm tạm)

Đã gửi 19 May 2012 - 11:38 AM

bạn thử block lại rôì dùng xclip xem :D
  • 0
Nhăn răng ra cười cho đời đỡ khổ!!!

#15 phuoc0982

phuoc0982

    Chưa sử dụng CAD

  • Members
  • Pip
  • 4 Bài viết
Điểm đánh giá: 0 (bình thường)

Đã gửi 12 March 2014 - 02:45 PM

tạo các vùng kín cần che, dùng wipeout tạo vùng che, và off các frame trong wipeout nữa

ngoài ra còn kết hợp các lệnh khác như : layfrz, layoff nữa để ẩn hoặc tắt 1 số layer hiện hành nữa


  • 0